public class MoveToCenter extends AbstractStrategy {
    @Override
    protected boolean IsTargetDestinaion() {
        ObjectParameters objParams = getObjectParameters();
        if (objParams == null) {
            return false;
        }
        return objParams.ObjectMiddleHorizontal() <= getFieldWidth() / 2 &&
                objParams.ObjectMiddleHorizontal() + GetStep() >= getFieldWidth() / 2 &&
                objParams.ObjectMiddleVertical() <= getFieldHeight() / 2 &&
                objParams.ObjectMiddleVertical() + GetStep() >= getFieldHeight() / 2;
    }
    @Override
    protected void MoveToTarget() {
        ObjectParameters objParams = getObjectParameters();
        if (objParams == null) {
            return;
        }
        double diffX = objParams.ObjectMiddleHorizontal() - getFieldWidth() / 2;
        if (Math.abs(diffX) > GetStep()) {
            if (diffX > 0) {
                MoveLeft();
            } else {
                MoveRight();
            }
        }
        double diffY = objParams.ObjectMiddleVertical() - getFieldHeight() / 2;
        if (Math.abs(diffY) > GetStep()) {
            if (diffY > 0) {
                MoveUp();
            } else {
                MoveDown();
            }
        }
    }
}